#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: shake
version: 0.16
id: shake-0.16-GRsfn99y9OB5OCuLKdVO6Q
key: shake-0.16-GRsfn99y9OB5OCuLKdVO6Q
license: BSD3
copyright: Neil Mitchell 2011-2017
maintainer: Neil Mitchell <ndmitchell@gmail.com>
homepage: http://shakebuild.com
synopsis: Build system library, like Make, but more accurate dependencies.
description:
    Shake is a Haskell library for writing build systems - designed as a
    replacement for @make@. See "Development.Shake" for an introduction,
    including an example. Further examples are included in the Cabal tarball,
    under the @Examples@ directory. The homepage contains links to a user
    manual, an academic paper and further information:
    <http://shakebuild.com>
    .
    To use Shake the user writes a Haskell program
    that imports "Development.Shake", defines some build rules, and calls
    the '\''Development.Shake.shakeArgs'\'' function. Thanks to do notation and infix
    operators, a simple Shake build system
    is not too dissimilar from a simple Makefile. However, as build systems
    get more complex, Shake is able to take advantage of the excellent
    abstraction facilities offered by Haskell and easily support much larger
    projects. The Shake library provides all the standard features available in other
    build systems, including automatic parallelism and minimal rebuilds.
    Shake also provides more accurate dependency tracking, including seamless
    support for generated files, and dependencies on system information
    (e.g. compiler version).
category: Development, Shake
author: Neil Mitchell <ndmitchell@gmail.com>
exposed: True
indefinite: False
exposed-modules:
    Development.Shake Development.Shake.Classes
    Development.Shake.Command Development.Shake.Config
    Development.Shake.FilePath Development.Shake.Forward
    Development.Shake.Rule Development.Shake.Util
hidden-modules: Development.Ninja.Env Development.Ninja.Lexer
                Development.Ninja.Parse Development.Ninja.Type
                Development.Shake.Internal.Args General.Makefile
                Development.Shake.Internal.Core.Action
                Development.Shake.Internal.Core.Rendezvous
                Development.Shake.Internal.Core.Rules
                Development.Shake.Internal.Core.Run
                Development.Shake.Internal.CmdOption
                Development.Shake.Internal.Core.Database
                Development.Shake.Internal.Core.Types
                Development.Shake.Internal.Demo Development.Shake.Internal.Derived
                Development.Shake.Internal.Errors
                Development.Shake.Internal.FileInfo
                Development.Shake.Internal.FilePattern
                Development.Shake.Internal.Core.Monad
                Development.Shake.Internal.Core.Pool
                Development.Shake.Internal.Profile
                Development.Shake.Internal.Progress
                Development.Shake.Internal.Resource
                Development.Shake.Internal.Rules.Directory
                Development.Shake.Internal.Rules.File
                Development.Shake.Internal.Rules.Files
                Development.Shake.Internal.Rules.Oracle
                Development.Shake.Internal.Rules.OrderOnly
                Development.Shake.Internal.Rules.Rerun
                Development.Shake.Internal.Shake
                Development.Shake.Internal.Core.Storage
                Development.Shake.Internal.Options Development.Shake.Internal.Value
                General.Bilist General.Binary General.Chunks General.Cleanup
                General.Concurrent General.Extra General.FileLock General.GetOpt
                General.Ids General.Intern General.ListBuilder General.Process
                Development.Shake.Internal.FileName General.Template General.Timing
                Paths_shake
abi: 3901a5b5b40633715b0c1f60a193a6aa
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/shake-0.16
library-dirs: /usr/lib/ghc-8.2.2/site-local/shake-0.16
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/haskell-shake
hs-libraries: HSshake-0.16-GRsfn99y9OB5OCuLKdVO6Q
depends:
    base-4.10.1.0 directory-1.3.0.2
    hashable-1.2.6.1-6LeHpYZ4iRgEy9P36eCQfR binary-0.8.5.1
    filepath-1.4.1.2 process-1.6.1.0
    unordered-containers-0.2.8.0-YOGDwOwys3HjU5i3g27KB
    bytestring-0.10.8.2 utf8-string-1.0.1.1-7sQ7eR5H5ED7poickls5aO
    time-1.8.0.2 random-1.1-LLUGZ7T9DqQ5vN0Jbcd0We
    js-jquery-3.3.1-INvwHizaGP7LL6tydVCYG
    js-flot-0.8.3-BVv7WjS6mgVJLBMR8vaufn transformers-0.5.2.0
    extra-1.6.3-6OJhI4eu5QWGLlbK3DReuW deepseq-1.4.3.0
    primitive-0.6.3.0-CXy1O9sQYlI58rn9KQkFyo unix-2.7.2.2
abi-depends: base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             directory-1.3.0.2=7b913664ccd770192b307d7c4c6817cc
             hashable-1.2.6.1-6LeHpYZ4iRgEy9P36eCQfR=e2c3f4e35e60b5547d3e7a8c501ca6de
             binary-0.8.5.1=33c677d3ced9a5afbc7b354509494653
             filepath-1.4.1.2=a40cd48e5480796e558f3c29652ee19a
             process-1.6.1.0=e78440f24fd9cc3300a1da2a92a47757
             unordered-containers-0.2.8.0-YOGDwOwys3HjU5i3g27KB=1ae4406c8abf6f6a305796d42b6e1b7b
             bytestring-0.10.8.2=4b2726b654ceeff6535e698a2a1e724e
             utf8-string-1.0.1.1-7sQ7eR5H5ED7poickls5aO=4a40da384793deade7b4b9c9224acdb7
             time-1.8.0.2=d7392e85059cb108aeb68d6e24815970
             random-1.1-LLUGZ7T9DqQ5vN0Jbcd0We=368a9f817c8c1b290191231dd0d81d85
             js-jquery-3.3.1-INvwHizaGP7LL6tydVCYG=09cbbfd1c19f878ea24ebd1084acd7ce
             js-flot-0.8.3-BVv7WjS6mgVJLBMR8vaufn=2106e2792b3341c959c8f349c22f5bf9
             transformers-0.5.2.0=b5dee110a615d751493b7ce1c6f95946
             extra-1.6.3-6OJhI4eu5QWGLlbK3DReuW=d83fbfba8e1cc7c251fd5f1fe57cbbae
             deepseq-1.4.3.0=e843b5d736cc095915bf2399fddf152e
             primitive-0.6.3.0-CXy1O9sQYlI58rn9KQkFyo=b4457a9f891c4eea587ee58a79b7f0fc
             unix-2.7.2.2=3df01ca0d7640dab598065ff1b1cffeb
haddock-interfaces: /usr/share/doc/haskell-shake/html/shake.haddock
haddock-html: /usr/share/doc/haskell-shake/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

